package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import java.util.List;

public class ClfjDTO implements java.io.Serializable {
	
	private static final long serialVersionUID = 1L;
    
	@ApiModelProperty(value = "办件流水号")
    @NotBlank(message = "办件流水号不能为空")
    private String rsWbBjLsh;
    
    @ApiModelProperty(value = "资料类别ID")
    @NotBlank(message = "资料类别ID不能为空")
    private String zllbid;
    
    @ApiModelProperty(value = "附件List")
    @NotEmpty(message = "附件List不能为空")
    private List<FjDTO> fjList;

	public String getRsWbBjLsh() {
		return rsWbBjLsh;
	}

	public void setRsWbBjLsh(String rsWbBjLsh) {
		this.rsWbBjLsh = rsWbBjLsh;
	}

	public String getZllbid() {
		return zllbid;
	}

	public void setZllbid(String zllbid) {
		this.zllbid = zllbid;
	}

	public List<FjDTO> getFjList() {
		return fjList;
	}

	public void setFjList(List<FjDTO> fjList) {
		this.fjList = fjList;
	}
}
